<?php 
  $lvl1ParentPanel = new LUZUK_WP_Customize_Panel( $wp_customize, 'luzuk_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));
$wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel3 = new LUZUK_WP_Customize_Panel( $wp_customize, 'luzuk_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'luzuk_header_panel1',
    'priority' => 2
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'luzuk_section', array(
    'title' => 'Section Test page',
    'panel' => 'luzuk_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'dinero_inner_pages' , array(
        'title'    => __( 'Inner Pages', 'luzuk-premium' ),
        'priority' => null,
        'panel' => 'luzuk_header_panel3'
    ) );

$wp_customize->add_setting('dinero_reset_innerpages_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_innerpages_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Inner Pages Settings', 'dinero'),
  'description' => 'dinero_innerpages_reset_settings',
  'section' => 'dinero_inner_pages'
)));

    $wp_customize->add_setting('luzuk_innerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_innerpages_nav', array(
       'section' => 'dinero_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'innerpage_featured_img_on_off',
                'dinero_innerpage_image_height',
                'breadcrumb_on_off',
                'page_title_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Layout', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'luzuk__page_layout',
                'dinero_inner_page_width'
            ),
         ),
          array(
            'name' => esc_html__('Style', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'dinero_innerpage_pagetitle_t_padding',
                'dinero_innerpage_pagetitle_b_padding' ,   
                'dinero_innerpage_image_opacity',
                'dinero_innerpage_header_box_onload_effects',       
                'luzuk_template_innerpagemainsectionbox_color',
                'luzuk_template_innerpage_titlecolor',
                'luzuk_template_innerpage_bgcolor1',
                'luzuk_template_innerpage_bgcolor2',
                'luzuk_template_innerpagemainsectionboxheading1_color',
                'luzuk_template_innerpagemainsectionboxheading2_color',
                'luzuk_template_innerpagemainsectionboxheading3_color',
                'luzuk_template_innerpagemainsectionboxheading4_color',
                'luzuk_template_innerpagemainsectionboxheading5_color',
                'luzuk_template_innerpagemainsectionboxheading6_color',
                'luzuk_template_innerpagemainsectionboxheadingborderc1_color',
                'template_innerpage_contentboxsidebartitlecolor',                
                'template_innerpage_contentboxsidebartitlebordercolor',
                'luzuk_template_innerpagemainsectionboxtext_color',
                'luzuk_template_innerpageallothrtheadtextcolcolor_color',
                'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color',
                'luzuk_template_innerpagemainsectionboxtextlinks_color',
                'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color',
                'luzuk_template_innerpagemainsectionboxtextlinksicon_color',
                'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color',
                'luzuk_template_innerpagemainsectionsidebarborderrs_color',
                'luzuk_template_innerpagesidebardaytxt_color',
                'luzuk_template_innerpagesidebardaybgsstxt_color',
                'luzuk_template_innerpagesblockquote_color',
                'luzuk_template_innerpagepagination_color',
                'luzuk_template_innerpagepaginationbg_color',
                'luzuk_template_innerpagepaginationborder_color',
                'luzuk_template_innerpagepaginationactive_color',
                'luzuk_template_innerpagepaginationbgactive_color',
                'luzuk_template_innerpagepaginationborderactive_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'innerpage_featured_img_on_off',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'innerpage_featured_img_on_off',
        array(
            'settings'      => 'innerpage_featured_img_on_off',
            'section'       => 'dinero_inner_pages',
            'label'         => __( 'Page Featured Image', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

 $wp_customize->add_setting('dinero_innerpage_image_height',array(
        'default' => 300,
        'sanitize_callback' => 'dinero_sanitize_integer'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_innerpage_image_height',array(
    'label' => __('Image Height','dinero'),
    'section' => 'dinero_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

$wp_customize->add_setting(
    'breadcrumb_on_off',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'breadcrumb_on_off',
        array(
            'settings'      => 'breadcrumb_on_off',
            'section'       => 'dinero_inner_pages',
            'label'         => __( 'Breadcrumb', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

   $wp_customize->add_setting('dinero_innerpage_pagetitle_t_padding',array(
        'default' => '6',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_innerpage_pagetitle_t_padding',array(
    'type' => 'number',
    'label' => __('Page Tittle Top Padding','dinero'),
    'section' => 'dinero_inner_pages',
    ));
     $wp_customize->add_setting('dinero_innerpage_pagetitle_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('dinero_innerpage_pagetitle_b_padding',array(
    'type' => 'number',
    'label' => __('Page Tittle Bottom Padding','dinero'),
    'section' => 'dinero_inner_pages',
    ));


 $wp_customize->add_setting('dinero_innerpage_image_opacity',array(
        'default' => 0.5,
        'sanitize_callback' => 'dinero_sanitize_float'
    ));
    $wp_customize->add_control(new dinero_Custom_Control( $wp_customize, 'dinero_innerpage_image_opacity',array(
    'label' => __('Image Opacity','dinero'),
    'section' => 'dinero_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

$wp_customize->add_setting(
    'page_title_on_off',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'page_title_on_off',
        array(
            'settings'      => 'page_title_on_off',
            'section'       => 'dinero_inner_pages',
            'label'         => __( 'Page Title', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

//Page Layout
$lzPageLayout = getPageLayout(true);

$wp_customize->add_setting(
   'luzuk__page_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new luzuk_Font_Chooser(
      $wp_customize,
      'luzuk__page_layout',
      array(
         'settings'=> 'luzuk__page_layout',
         'section' => 'dinero_inner_pages',
         'label'=>__('Left / Right and No Sidebar', 'Luzuk Premium'),
         'choices'=>$lzPageLayout
      )
   )
);

$wp_customize->add_setting('dinero_inner_page_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_inner_page_width',array(
        'type' => 'select',
        'label' => __('Page Width','dinero'),
        'choices' => array (
            'Box Width' => __('Box Width','dinero'),
            'Full Width' => __('Full Width','dinero')
        ),
        'section' => 'dinero_inner_pages',
    ));


$wp_customize->add_setting('dinero_innerpage_header_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'dinero_sanitize_choices',
    ));
    $wp_customize->add_control('dinero_innerpage_header_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Header Box Transition Effects','dinero'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','dinero'),
            'wow bounceInRight' => __('Bounce In Right','dinero'),
            'wow bounceInUp' => __('Bounce In Up','dinero'),
            'wow bounceInDown' => __('Bounce In Down','dinero'),
            'wow zoomIn' => __('Zoom In','dinero'),
            'wow zoomOut' => __('Zoom Out','dinero'),
            'wow fadeInDown' => __('Fade In Down','dinero'),            
            'wow fadeInUp' => __('Fade In Up','dinero'),
            'wow fadeInLeft' => __('Fade In Left','dinero'),
            'wow fadeInRight' => __('Fade In Right','dinero'),
            'flip-up' => __('Flip Up','dinero')
        ),
        'section' => 'dinero_inner_pages',
    ));


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionbox_color', 'dinero_inner_pages', 'Inner Page Box Background color', '');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_titlecolor', 'dinero_inner_pages', 'Title color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgcolor1', 'dinero_inner_pages', 'Title background color', ''); 
addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgcolor2', 'dinero_inner_pages', 'Title background color', ''); 

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'dinero_inner_pages', 'Heading 1 color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'dinero_inner_pages', 'Heading 2 color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'dinero_inner_pages', 'Heading 3 color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'dinero_inner_pages', 'Heading 4 color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'dinero_inner_pages', 'Heading 5 color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'dinero_inner_pages', 'Heading 6 color', '');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingborderc1_color', 'dinero_inner_pages', 'Heading Border color', '');


addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitlecolor', 'dinero_inner_pages', 'Inner Page Sidebar Heading', '');
addColorPalatOption($wp_customize, 'template_innerpage_contentboxsidebartitlebordercolor', 'dinero_inner_pages', 'Inner Page Sidebar Heading Border & Product Button Background Color', '');


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'dinero_inner_pages', 'Inner Page Text color', '');


addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'dinero_inner_pages', 'Other Text Color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'dinero_inner_pages', 'Other Fields Background Color', '');



addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'dinero_inner_pages', 'Inner Page Links color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'dinero_inner_pages', 'Inner Page Links Hover color', '');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'dinero_inner_pages', 'Inner Page Icons, list number color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'dinero_inner_pages', 'Inner Page list number Background color', '');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'dinero_inner_pages', 'Inner Page Sidebar & text field Border color', '');


addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'dinero_inner_pages', 'Inner Page Sidebar Calender Widgets Day Text color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'dinero_inner_pages', 'Inner Page Sidebar Calender Widgets Day Text Background color', '');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesblockquote_color', 'dinero_inner_pages', 'Inner Page blockquote Background color', '');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'dinero_inner_pages', 'Inner Page Pagination Color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'dinero_inner_pages', 'Inner Page Pagination Background Color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'dinero_inner_pages', 'Inner Page Pagination Border Color', '');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'dinero_inner_pages', 'Inner Page Pagination Hover & Active Color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'dinero_inner_pages', 'Inner Page Pagination Background Hover & Active Color', '');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'dinero_inner_pages', 'Inner Page Pagination Border Hover & Active Color', '');
                                  